package com.liquidnet.service.chime.service;

import com.alibaba.fastjson.JSONObject;
import com.liquidnet.service.chime.dto.ChimeUserInfoDto;
import com.liquidnet.service.chime.dto.ChimeUserRegisterReqDto;
import com.liquidnet.service.chime.dto.ChimeUserUpdateReqDto;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IChimeUserService
 * @Package com.liquidnet.service.chime.service
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/8 16:14
 */
public interface IChimeUserService {
    /**
     * 社交用户注册
     * @param reqDto
     * @return
     */
    JSONObject register(ChimeUserRegisterReqDto reqDto);

    ChimeUserInfoDto createChimeUserInfo(ChimeUserRegisterReqDto reqDto);

    boolean updateUserInfo(ChimeUserUpdateReqDto reqDto);

    boolean updateUserTags(ChimeUserUpdateReqDto reqDto);

    ChimeUserInfoDto getUserByUserId(String userId);

    boolean switchPerformanceId(String performanceId);
}
